## org.codehaus.groovy.ast.expr
Class BooleanExpression

Represents a boolean expression

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`Expression` | `expression`

Constructor Summary
`BooleanExpression(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### BooleanExpression

    public BooleanExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)